import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { R as RunTriggerOptions } from './automations-v1-automations-custom-trigger-custom-trigger.universal-Cdm-cRp-.mjs';
export { e as BulkUpdateMainEntityTagsByFilterRequest, f as BulkUpdateMainEntityTagsByFilterResponse, B as BulkUpdateMainEntityTagsRequest, d as BulkUpdateMainEntityTagsResponse, M as MainEntity, b as RunTriggerRequest, c as RunTriggerResponse, a as TagList, T as Tags } from './automations-v1-automations-custom-trigger-custom-trigger.universal-Cdm-cRp-.mjs';

declare function runTrigger$1(httpClient: HttpClient): RunTriggerSignature;
interface RunTriggerSignature {
    /**
     * Runs the automation associated with the trigger ID that you pass to it.
     */
    (options?: RunTriggerOptions | undefined): Promise<void>;
}

declare const runTrigger: MaybeContext<BuildRESTFunction<typeof runTrigger$1> & typeof runTrigger$1>;

export { RunTriggerOptions, runTrigger };
