"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  runTrigger: () => runTrigger4
});
module.exports = __toCommonJS(index_exports);

// src/automations-v1-automations-custom-trigger-custom-trigger.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/automations-v1-automations-custom-trigger-custom-trigger.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressCrmAutomationsAutomationsCustomTriggerAutomationsCustomTriggerServiceUrl(opts) {
  const domainToMappings = {
    "bo._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "wixbo.ai": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "wix-bo.com": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "editor.wixapps.net": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "apps._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    _: [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      },
      {
        srcPath: "/_api/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/crm-automations-utils",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_automations_custom-trigger";
function runTrigger(payload) {
  function __runTrigger({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v1.automations_custom_trigger",
      method: "POST",
      methodFqn: "com.wixpress.crm.automations.automations_custom_trigger.AutomationsCustomTriggerService.RunTrigger",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressCrmAutomationsAutomationsCustomTriggerAutomationsCustomTriggerServiceUrl(
        { protoPath: "/v1/trigger-custom", data: payload, host }
      ),
      data: payload
    };
    return metadata;
  }
  return __runTrigger;
}

// src/automations-v1-automations-custom-trigger-custom-trigger.universal.ts
async function runTrigger2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    triggerId: options?.triggerId,
    payload: options?.payload
  });
  const reqOpts = runTrigger(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          triggerId: "$[0].triggerId",
          payload: "$[0].payload"
        },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/automations-v1-automations-custom-trigger-custom-trigger.public.ts
function runTrigger3(httpClient) {
  return (options) => runTrigger2(
    options,
    // @ts-ignore
    { httpClient }
  );
}

// src/automations-v1-automations-custom-trigger-custom-trigger.context.ts
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
var runTrigger4 = /* @__PURE__ */ (0, import_rest_modules2.createRESTModule)(runTrigger3);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  runTrigger
});
//# sourceMappingURL=index.js.map