"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  runTrigger: () => runTrigger2
});
module.exports = __toCommonJS(meta_exports);

// src/automations-v1-automations-custom-trigger-custom-trigger.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressCrmAutomationsAutomationsCustomTriggerAutomationsCustomTriggerServiceUrl(opts) {
  const domainToMappings = {
    "bo._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "wixbo.ai": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "wix-bo.com": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "editor.wixapps.net": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "apps._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    _: [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      },
      {
        srcPath: "/_api/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/crm-automations-utils",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_automations_custom-trigger";
function runTrigger(payload) {
  function __runTrigger({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v1.automations_custom_trigger",
      method: "POST",
      methodFqn: "com.wixpress.crm.automations.automations_custom_trigger.AutomationsCustomTriggerService.RunTrigger",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressCrmAutomationsAutomationsCustomTriggerAutomationsCustomTriggerServiceUrl(
        { protoPath: "/v1/trigger-custom", data: payload, host }
      ),
      data: payload
    };
    return metadata;
  }
  return __runTrigger;
}

// src/automations-v1-automations-custom-trigger-custom-trigger.meta.ts
function runTrigger2() {
  const payload = {};
  const getRequestOptions = runTrigger(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v1/trigger-custom",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  runTrigger
});
//# sourceMappingURL=meta.js.map