import { b as RunTriggerRequest$1, c as RunTriggerResponse$1 } from './automations-v1-automations-custom-trigger-custom-trigger.universal-Cdm-cRp-.js';

interface RunTriggerRequest {
    /**
     * Trigger ID. You can find this in the custom trigger configuration in the automations builder.
     * @maxLength 100
     */
    triggerId?: string;
    /**
     * Optional payload object to pass to run trigger. Define the payload schema from sample data in the custom trigger configuration in the
     * automations builder.
     */
    payload?: Record<string, any> | null;
}
interface RunTriggerResponse {
}

type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
declare function runTrigger(): __PublicMethodMetaInfo<'POST', {}, RunTriggerRequest$1, RunTriggerRequest, RunTriggerResponse$1, RunTriggerResponse>;

export { type __PublicMethodMetaInfo, runTrigger };
